Create bulk operation
Create a new bulk operation to perform actions on multiple rules. Supports publish, unpublish, edit, delete, and migrate operation types. Operations execute asynchronously.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fields to include in the response.
NONE Body
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Delete a set of rules in bulk.
Discriminator for the operation type. Must be deleteRule for this operation.
deleteRule List of rule IDs to operate on. These will be put into the operation in addition to the rules matching the specification, if any.
A rule's UUID.
List of rule external IDs to operate on. These will be put into the operation in addition to the rules matching the specification or referenced by ruleIds, if any.
A rule's external ID.
List of rule IDs to exclude from the operation. These will be excluded even if they match the specification or are included in ruleIds.
A rule's UUID to exclude.
List of rule external IDs to exclude from the operation. These will be excluded even if they match the specification, are included in ruleIds, or are included in ruleExternalIds.
A rule's external ID to exclude.
Filter for rules.
Response
Created
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Summary of a bulk delete rule operation.
Discriminator for the operation type. Is deleteRule for this operation.
deleteRule Entity id.
User who created the entity.
Date when the entity was created.
User who last updated the entity.
Date when the entity was last updated.
Current status of the bulk operation.
PENDING, WAITING, COMPLETED, COMPLETED_WITH_ERRORS, FAILED Last time the heartbeat was sent for this bulk operation.
User friendly message if the bulk operation failed or completed with errors. null if the operation has not failed.
List of rules and their individual status in this bulk operation.